﻿
<div class="container">
    <ol class="breadcrumb">
        <li class="active">Historique par praticien</li>
    </ol>

    <div ng-if="home.praticiens.praticiens.length == 0" class="text-center">
        <i class="fa fa-2x fa-spin ion-load-c"></i>
    </div>

    <div ng-show="home.praticiens.praticiens.length > 0">
        <input type="search" ng-model="recherche" placeholder="Rechercher..." class="form-control">

        <div class="row fakeTableHead">
            <div class="col-xs-12 col-sm-3 col-md-3">
                Nom <span title="Tri par ordre croissant" class="glyphicon glyphicon-chevron-up cliquable" ng-click="home.tri = 'Nom'" ng-class="home.tri == 'Nom' ? 'active' : ''"></span> <span title="Tri par ordre décroissant" class="glyphicon glyphicon-chevron-down cliquable" ng-click="home.tri = '-Nom'" ng-class="home.tri == '-Nom' ? 'active' : ''"></span>
                <span class="visible-xs pl_10">Prénom <span title="Tri par ordre croissant" class="glyphicon glyphicon-chevron-up cliquable" ng-click="home.tri = 'Prenom'" ng-class="home.tri == 'Prenom' ? 'active' : ''"></span> <span title="Tri par ordre décroissant" class="glyphicon glyphicon-chevron-down cliquable" ng-click="home.tri = '-Prenom'" ng-class="home.tri == '-Prenom' ? 'active' : ''"></span></span>
            </div>
            <div class="hidden-xs col-sm-3 col-md-3">
                Prénom <span title="Tri par ordre croissant" class="glyphicon glyphicon-chevron-up cliquable" ng-click="home.tri = 'Prenom'" ng-class="home.tri == 'Prenom' ? 'active' : ''"></span> <span title="Tri par ordre décroissant" class="glyphicon glyphicon-chevron-down cliquable" ng-click="home.tri = '-Prenom'" ng-class="home.tri == '-Prenom' ? 'active' : ''"></span>
            </div>
            <div class="col-xs-12 col-sm-5 col-md-4">
                Région/Secteur <span title="Tri par ordre croissant" class="glyphicon glyphicon-chevron-up cliquable" ng-click="home.tri = 'Secteur.Region.Nom'" ng-class="home.tri == 'Secteur.Region.Nom' ? 'active' : ''"></span> <span title="Tri par ordre décroissant" class="glyphicon glyphicon-chevron-down cliquable" ng-click="home.tri = '-Secteur.Region.Nom'" ng-class="home.tri == '-Secteur.Region.Nom' ? 'active' : ''"></span>
            </div>
            <div class="col-sm-1 col-md-2 hidden-xs text-right">
                Com<span class="hidden-sm">mandes</span> <span title="Tri par ordre croissant" class="glyphicon glyphicon-chevron-up cliquable" ng-click="home.tri = 'Commandes.length'" ng-class="home.tri == 'Commandes.length' ? 'active' : ''"></span> <span title="Tri par ordre décroissant" class="glyphicon glyphicon-chevron-down cliquable" ng-click="home.tri = '-Commandes.length'" ng-class="home.tri == '-Commandes.length' ? 'active' : ''"></span>
            </div>
        </div>

        <div class="row fakeTableRow cliquable" ng-repeat="praticien in home.praticiens.praticiens | orderBy: home.tri | filter: search" ng-init="home.tri = '-Commandes.length'" ng-click="home.charge(praticien)">
            <div class="col-xs-12 col-sm-3 col-md-3">
                {{ praticien.Nom }} <span class="visible-xs">{{ praticien.Prenom }}</span>
            </div>
            <div class="hidden-xs col-sm-3 col-md-3">
                {{ praticien.Prenom }}
            </div>
            <div class="col-xs-12 col-sm-5 col-md-4">
                {{ praticien.Secteur.Region.Nom }} - {{ praticien.Secteur.Nom }}
            </div>
            <div class="hidden-xs col-sm-1 col-md-2 text-right">
                <span class="badge" ng-show="praticien.Commandes.length > 0">{{ praticien.Commandes.length }}</span>
            </div>
        </div>
    </div>
</div>